Subject: [OPS-AREA] RE: Request to sponsor draft-heard-rfc4181-update-00.txt for consideration as a BCP

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Thu, 4 Jan 2007 21:45:57 +0200

Thanks, Mike. 

OPS Area and MIB Doctors, 

Please comment on Mike's request until 1/11. 

The process of Area Director sponsoring of documents is described in
http://www.ietf.org/internet-drafts/draft-iesg-sponsoring-guidelines-00.
txt

Thanks and Regards,

Dan

> -----Original Message-----
> From: C. M. Heard [mailto:[email-masked]] 
> Sent: Thursday, January 04, 2007 9:33 PM
> To: Romascanu, Dan (Dan)
> Cc: OPS Area
> Subject: Request to sponsor draft-heard-rfc4181-update-00.txt 
> for consideration as a BCP
> 
> Dan,
> 
> As noted in the attached I-D ACTION announcement, I have 
> prepared an individual submission 
> draft-heard-rfc4181-update-00.txt that provides the updates 
> to RFC 4181, "Guidelines for Authors and Reviewers of MIB 
> Documents," that are needed to bring it into alignment with 
> RFC 4748.  The substantive content is all in the following 
> paragraph from Section 2.1 of the draft:
> 
>     In the copyright notice templates in Section 3.7, replace all
>     occurrences of "The Internet Society" with "The IETF Trust".
> 
> Since conformance to the rules in RFC 4748 will become 
> manadatory starting in February 2007, an update to RFC 4181 
> should be approved as a BCP and published as soon as 
> possible.  I therefore request that you, as the responsible 
> AD, sponsor this draft for consideration as a BCP.
> 
> I acknowledge that it would be preferable to republish the 
> MIB review guidelines document in its entirety.  
> Unfortunately, I do not have the time to serve anymore as 
> editor of that document, and the person who has volunteered 
> to take over that job is presently busy with other things.  I 
> am therefore offering this draft as an interim delta 
> document, with the hope and expectation that it will be 
> replaced by a new document in the not too distant future.
> 
> I'm cc:'ing this request to the OPS Area mailing list, and 
> invite those who wish to comment to do so on that list.
> 
> Regards and thanks,
> 
> Mike Heard
> 

_______________________________________________
OPS-AREA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ops-area

---

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Thu, 4 Jan 2007 22:28:21 +0200

The current thinking in the OPS area is that updating periodically the
RFC 4181 BCP document would do the job. 

This specific update proposed here has a very limited scope dictated by
the need to align with RFC 4748. 

Dan

> From: Pekka Savola [mailto:[email-masked]] 
> This is a bit broader context comment (and should not 
> necessarily block this document), but I'm not sure how 
> scalable it is to maintain MIB review guidelines in the RFC 
> series.  Certainly, we need to have a mechanism to establish 
> IETF consensus on those guidelines, but as the requirements 
> change quite often, I'd encourage considering finding another 
> way to maintain and publish the guidelines.
>

---

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Thu, 4 Jan 2007 22:49:39 +0200

Frankly I am not losing sleep over this. I believe that 4181 works
pretty well, and that if we could update the document each two-three
years it would be good enough. The more pressing issue is resources, and
following a different process will not help. 

Dan

> Sent: Thursday, January 04, 2007 10:44 PM
> To: OPS Area
> Subject: [MIB-DOCTORS] Re: [OPS-AREA] Request to sponsor 
> draft-heard-rfc4181-update-00.txt for consideration as a BCP
> 
> On Thu, 4 Jan 2007, Pekka Savola wrote:
> > This is a bit broader context comment (and should not necessarily 
> > block this document), but I'm not sure how scalable it is 
> to maintain 
> > MIB review guidelines in the RFC series.  Certainly, we 
> need to have a 
> > mechanism to establish IETF consensus on those guidelines, 
> but as the 
> > requirements change quite often, I'd encourage considering finding 
> > another way to maintain and publish the guidelines.
> 
> I do hope that folks will accept this delta document as an 
> acceptable interim measure, since it's the only way I can see 
> to keep our procedure documents up-to-date with a February 
> deadline looming.
> 
> That said, I actually agree with Pekka's comment, though 
> perhaps not for the same reasons that Pekka made it.  The 
> parts of the MIB document review guidelines document that 
> actually deal with MIB modules had very few changes between 
> the -02 draft issued in August
> 2003 and the -04 draft issued in January 2005, which is the 
> one that eventually became RFC 4181 in September 2005.  The 
> vast majority of the changes were with document review 
> criteria, most of which would apply to IETF documents in 
> general.  The biggest part of the long delay was spent 
> waiting for the IPR working group to get RFCs 3978 and 3979 
> published.  Now more churn from RFC 4748 and still more to 
> come.  This indeed does not scale!
> 
> Mike
> 
> MIB-DOCTORS mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mib-doctors
>

---

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Thu, 11 Jan 2007 21:12:11 +0200

I have heard a few support comments, and no dissent concerning the
process or the content of the document. I plan to send it to IETF LC. It
will be a four weeks LC, because it's a non-WG document targeting BCP. 

Dan

> From: Romascanu, Dan (Dan) 
> Sent: Thursday, January 04, 2007 9:46 PM
> To: 'C. M. Heard'
> Cc: 'OPS Area'; MIB Doctors
> Subject: RE: Request to sponsor 
> http://www.ietf.org/internet-drafts/draft-iesg-sponsoring-guid
> elines-00.txt
> 
> Thanks and Regards,
> 
> Dan
> 
> 
> 
> 
>  
>  
> 
> > Subject: Request to sponsor draft-heard-rfc4181-update-00.txt for 
> > consideration as a BCP
> > 
> > Dan,
> > 
> prepared an 
> > individual submission draft-heard-rfc4181-update-00.txt 
> that provides 
> > the updates to RFC 4181, "Guidelines for Authors and 
> Reviewers of MIB 
> RFC 4748.  
> > The substantive content is all in the following paragraph 
> from Section 
> > 2.1 of the draft:
> > 
> > Since conformance to the rules in RFC 4748 will become manadatory 
> > starting in February 2007, an update to RFC 4181 should be 
> approved as 
> > a BCP and published as soon as possible.  I therefore request that 
> > you, as the responsible AD, sponsor this draft for 
> consideration as a 
> > BCP.
> > 
> > Unfortunately, I do not have the time to serve anymore as editor of 
> > that document, and the person who has volunteered to take over that 
> > job is presently busy with other things.  I am therefore 
> offering this 
> > draft as an interim delta document, with the hope and 
> expectation that 
> > it will be replaced by a new document in the not too distant future.
> > 
> > I'm cc:'ing this request to the OPS Area mailing list, and invite 
> > those who wish to comment to do so on that list.
> > 
> > Regards and thanks,
> > 
> > Mike Heard
> > 
>